Subject: Re: WG last call for "Authentication for DHCP Messages"

From: "William A. Arbaugh" <[email-masked]>
Date: Fri, 23 Jun 2000 11:33:58 -0400 (EDT)

> 
> The key management schema described is weak at least, I think you MUST
> put in a sentence that says that the Master Key MUST never be stored on
> clients. Clients MUST only be given their K.
> IF this is not made clear in the draft I'm sure someone will implement
> a client requiring MK.
> As far as I can tell the whole point of this schema is to allow the
> server to calculate the keys on the fly when it sees a new client.
> I think this motivation should also be stated more clearly.
> 
> I think the section should also contain a warning that if MK is
> compromised all clients must be re keyed.
> 
I agree that the scheme is weak from a key management perspective, and I'm
fine with adding warning verbage.